Subject: Bug#1071910: firejail: manpage's list of directories mounted by default is incomplete

From: smheidrich <[email-masked]>
Date: Sat, 25 May 2024 22:40:59 +0200

Package: firejail
Version: 0.9.72-2
Severity: minor
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

Firejail's manpage says:

>The default Firejail filesystem is based on the host filesystem with the main
system directories mounted read-only. These directories are /etc, /var, /usr,
/bin, /sbin, /lib, /lib32, /libx32 and /lib64. Only /home and /tmp are
writable.

This list seems incomplete, because when I run `firejail` or `firejail
--private`, I can also read /dev, /opt, /media, /mnt, /proc, /run, /srv, and
/sys from within the sandbox.

I don't know if this is due to Debian-specific changes, so I'm raising it here
instead of upstream.

-- System Information:
Debian Release: 12.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'oldstable-updates'), (500, 'oldstable-security'), (500, 'oldoldstable-updates'), (500, 'oldoldstable'), (500, 'stable'), (500, 'oldstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 6.1.0-20-amd64 (SMP w/4 CPU threads; PREEMPT)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages firejail depends on:
ii  libapparmor1  3.0.8-3
ii  libc6         2.36-9+deb12u4
ii  libselinux1   3.4-1+b6

Versions of packages firejail recommends:
ii  firejail-profiles  0.9.72-2
ii  iproute2           6.1.0-3
ii  iptables           1.8.9-2
ii  xauth              1:1.1.2-1
ii  xdg-dbus-proxy     0.1.4-3
ii  xserver-xephyr     2:21.1.7-3+deb12u7
ii  xvfb               2:21.1.7-3+deb12u7

firejail suggests no packages.

-- no debconf information